package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*卖家表
* @author quyixiao
* @since 2025-11-19
*/

@Data
@TableName("vv_seller")
public class VvSellerEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvSellerEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                 // 
    public final static String is_delete = CLASS_NAME + "is_delete";                    // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                // 修改时间
    public final static String seller_name = CLASS_NAME + "seller_name";                // 卖家名称
    public final static String seller_count = CLASS_NAME + "seller_count";              // 卖家卖出的订单数量
    public final static String refund_count = CLASS_NAME + "refund_count";              // 退款数量
    public final static String seller_origin_gmv = CLASS_NAME + "seller_origin_gmv";    // 卖家原始销售金额
    public final static String seller_sale_gmv = CLASS_NAME + "seller_sale_gmv";        // 在平台上，我们已经销售金额
    public final static String refund_origin_gmv = CLASS_NAME + "refund_origin_gmv";    // 退款原始金额
    public final static String refund_sale_gmv = CLASS_NAME + "refund_sale_gmv";        // 退款销售金额
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";      // 创建时间
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";      // 修改时间
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //卖家名称
    private String sellerName;
    //卖家卖出的订单数量
    private Integer sellerCount;
    //退款数量
    private Integer refundCount;
    //卖家原始销售金额
    private BigDecimal sellerOriginGmv;
    //在平台上，我们已经销售金额
    private BigDecimal sellerSaleGmv;
    //退款原始金额
    private BigDecimal refundOriginGmv;
    //退款销售金额
    private BigDecimal refundSaleGmv;
    //创建时间
    private Long createTimestamp;
    //修改时间
    private Long modifyTimestamp;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 卖家名称 
     * @return
     */
    public String getSellerName() {
        return sellerName;
    }
    /**
     * 卖家名称 
     * @param sellerName
     */
    public void setSellerName(String sellerName) {
        this.sellerName = sellerName;
    }

    /**
     * 卖家卖出的订单数量 
     * @return
     */
    public Integer getSellerCount() {
        return sellerCount;
    }
    /**
     * 卖家卖出的订单数量 
     * @param sellerCount
     */
    public void setSellerCount(Integer sellerCount) {
        this.sellerCount = sellerCount;
    }

    /**
     * 退款数量 
     * @return
     */
    public Integer getRefundCount() {
        return refundCount;
    }
    /**
     * 退款数量 
     * @param refundCount
     */
    public void setRefundCount(Integer refundCount) {
        this.refundCount = refundCount;
    }

    /**
     * 卖家原始销售金额 
     * @return
     */
    public BigDecimal getSellerOriginGmv() {
        return sellerOriginGmv;
    }
    /**
     * 卖家原始销售金额 
     * @param sellerOriginGmv
     */
    public void setSellerOriginGmv(BigDecimal sellerOriginGmv) {
        this.sellerOriginGmv = sellerOriginGmv;
    }

    /**
     * 在平台上，我们已经销售金额 
     * @return
     */
    public BigDecimal getSellerSaleGmv() {
        return sellerSaleGmv;
    }
    /**
     * 在平台上，我们已经销售金额 
     * @param sellerSaleGmv
     */
    public void setSellerSaleGmv(BigDecimal sellerSaleGmv) {
        this.sellerSaleGmv = sellerSaleGmv;
    }

    /**
     * 退款原始金额 
     * @return
     */
    public BigDecimal getRefundOriginGmv() {
        return refundOriginGmv;
    }
    /**
     * 退款原始金额 
     * @param refundOriginGmv
     */
    public void setRefundOriginGmv(BigDecimal refundOriginGmv) {
        this.refundOriginGmv = refundOriginGmv;
    }

    /**
     * 退款销售金额 
     * @return
     */
    public BigDecimal getRefundSaleGmv() {
        return refundSaleGmv;
    }
    /**
     * 退款销售金额 
     * @param refundSaleGmv
     */
    public void setRefundSaleGmv(BigDecimal refundSaleGmv) {
        this.refundSaleGmv = refundSaleGmv;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    @Override
    public String toString() {
        return "VvSellerEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",sellerName=" + sellerName +
                ",sellerCount=" + sellerCount +
                ",refundCount=" + refundCount +
                ",sellerOriginGmv=" + sellerOriginGmv +
                ",sellerSaleGmv=" + sellerSaleGmv +
                ",refundOriginGmv=" + refundOriginGmv +
                ",refundSaleGmv=" + refundSaleGmv +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                "}";
    }
}